@echo off
setlocal enabledelayedexpansion
set count=0
for /f "tokens=1,* delims=- " %%A in ('listComPorts.exe') do (
    set /a count=count+1
    set choice[!count!]=%%A
    set label[!count!]=%%B
)
echo.
echo What device do you want to log?
echo.
for /l %%x in (1,1,!count!) do (
    echo [%%x] !choice[%%x]! [!label[%%x]!]
)
echo.
set /p idx_chosen=?
echo.
echo You chose !choice[%idx_chosen%]!, conecting now...
set device=!choice[%idx_chosen%]!

del /f debug.log
putty.exe -serial %device% -sercfg 115200 -sessionlog debug.log